971c6cd758629016914979a93a125b5383ff6f72
[releng/global-jjb.git] / jjb-test / expected-xml / gerrit-python-tox-verify-master
1 <?xml version="1.0" encoding="utf-8"?>
2 <project>
3   <actions/>
4   <description>&lt;!-- Managed by Jenkins Job Builder --&gt;</description>
5   <keepDependencies>false</keepDependencies>
6   <blockBuildWhenDownstreamBuilding>false</blockBuildWhenDownstreamBuilding>
7   <blockBuildWhenUpstreamBuilding>false</blockBuildWhenUpstreamBuilding>
8   <concurrentBuild>true</concurrentBuild>
9   <assignedNode>build-vm</assignedNode>
10   <canRoam>false</canRoam>
11   <properties>
12     <jenkins.model.BuildDiscarderProperty>
13       <strategy class="hudson.tasks.LogRotator">
14         <daysToKeep>7</daysToKeep>
15         <numToKeep>-1</numToKeep>
16         <artifactDaysToKeep>-1</artifactDaysToKeep>
17         <artifactNumToKeep>0</artifactNumToKeep>
18       </strategy>
19     </jenkins.model.BuildDiscarderProperty>
20     <hudson.model.ParametersDefinitionProperty>
21       <parameterDefinitions>
22         <hudson.model.StringParameterDefinition>
23           <name>PROJECT</name>
24           <description>Parameter to identify a Gerrit project. This is typically the
25 project repo path as exists in Gerrit.
26 For example: ofextensions/circuitsw
27 </description>
28           <defaultValue>releng/ciman</defaultValue>
29         </hudson.model.StringParameterDefinition>
30         <hudson.model.StringParameterDefinition>
31           <name>STREAM</name>
32           <description>Stream is often set to the same name as 'branch' but can
33 sometimes be used as a name representing a project's release code
34 name.
35 </description>
36           <defaultValue>master</defaultValue>
37         </hudson.model.StringParameterDefinition>
38         <hudson.model.StringParameterDefinition>
39           <name>GERRIT_PROJECT</name>
40           <description>Parameter to identify Gerrit project. This is typically the
41 project repo path as exists in Gerrit.
42 For example: ofextensions/circuitsw
43
44 Note that Gerrit will override this parameter automatically if a
45 job is triggered by Gerrit.
46 </description>
47           <defaultValue>releng/ciman</defaultValue>
48         </hudson.model.StringParameterDefinition>
49         <hudson.model.StringParameterDefinition>
50           <name>GERRIT_BRANCH</name>
51           <description>Parameter to identify a Gerrit branch.
52
53 Note that Gerrit will override this parameter automatically if a
54 job is triggered by Gerrit.
55 </description>
56           <defaultValue>master</defaultValue>
57         </hudson.model.StringParameterDefinition>
58         <hudson.model.StringParameterDefinition>
59           <name>GERRIT_REFSPEC</name>
60           <description>Parameter to identify a refspec when pulling from Gerrit.
61
62 Note that Gerrit will override this parameter automatically if a
63 job is triggered by Gerrit.
64 </description>
65           <defaultValue/>
66         </hudson.model.StringParameterDefinition>
67         <hudson.model.StringParameterDefinition>
68           <name>TOX_DIR</name>
69           <description>Path to directory containing tox.ini file.
70 </description>
71           <defaultValue/>
72         </hudson.model.StringParameterDefinition>
73         <hudson.model.StringParameterDefinition>
74           <name>TOX_ENVS</name>
75           <description>Tox environments to run build against.
76 Example: docs,py2,py3
77 </description>
78           <defaultValue/>
79         </hudson.model.StringParameterDefinition>
80       </parameterDefinitions>
81     </hudson.model.ParametersDefinitionProperty>
82   </properties>
83   <scm class="hudson.plugins.git.GitSCM">
84     <configVersion>2</configVersion>
85     <userRemoteConfigs>
86       <hudson.plugins.git.UserRemoteConfig>
87         <name>origin</name>
88         <refspec>$GERRIT_REFSPEC</refspec>
89         <url>$GIT_URL/$GERRIT_PROJECT</url>
90         <credentialsId>test-credential</credentialsId>
91       </hudson.plugins.git.UserRemoteConfig>
92     </userRemoteConfigs>
93     <branches>
94       <hudson.plugins.git.BranchSpec>
95         <name>refs/heads/$GERRIT_BRANCH</name>
96       </hudson.plugins.git.BranchSpec>
97     </branches>
98     <excludedUsers/>
99     <buildChooser class="com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.GerritTriggerBuildChooser"/>
100     <doGenerateSubmoduleConfigurations>false</doGenerateSubmoduleConfigurations>
101     <authorOrCommitter>false</authorOrCommitter>
102     <wipeOutWorkspace>true</wipeOutWorkspace>
103     <pruneBranches>false</pruneBranches>
104     <remotePoll>false</remotePoll>
105     <gitTool>Default</gitTool>
106     <submoduleCfg class="list"/>
107     <relativeTargetDir/>
108     <reference/>
109     <gitConfigName/>
110     <gitConfigEmail/>
111     <skipTag>true</skipTag>
112     <scmName/>
113     <useShallowClone>false</useShallowClone>
114     <ignoreNotifyCommit>false</ignoreNotifyCommit>
115     <extensions>
116       <hudson.plugins.git.extensions.impl.SubmoduleOption>
117         <disableSubmodules>false</disableSubmodules>
118         <recursiveSubmodules>true</recursiveSubmodules>
119         <trackingSubmodules>false</trackingSubmodules>
120         <reference/>
121         <timeout>10</timeout>
122       </hudson.plugins.git.extensions.impl.SubmoduleOption>
123       <hudson.plugins.git.extensions.impl.WipeWorkspace/>
124     </extensions>
125   </scm>
126   <triggers class="vector">
127     <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.GerritTrigger>
128       <spec/>
129       <gerritProjects>
130         <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.GerritProject>
131           <compareType>ANT</compareType>
132           <pattern>releng/ciman</pattern>
133           <branches>
134             <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.Branch>
135               <compareType>ANT</compareType>
136               <pattern>**/master</pattern>
137             </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.Branch>
138           </branches>
139           <disableStrictForbiddenFileVerification>false</disableStrictForbiddenFileVerification>
140         </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.GerritProject>
141       </gerritProjects>
142       <skipVote>
143         <onSuccessful>false</onSuccessful>
144         <onFailed>false</onFailed>
145         <onUnstable>false</onUnstable>
146         <onNotBuilt>false</onNotBuilt>
147       </skipVote>
148       <silentMode>false</silentMode>
149       <silentStartMode>false</silentStartMode>
150       <escapeQuotes>true</escapeQuotes>
151       <noNameAndEmailParameters>false</noNameAndEmailParameters>
152       <readableMessage>false</readableMessage>
153       <dependencyJobsNames/>
154       <notificationLevel/>
155       <dynamicTriggerConfiguration>False</dynamicTriggerConfiguration>
156       <triggerConfigURL/>
157       <allowTriggeringUnreviewedPatches>false</allowTriggeringUnreviewedPatches>
158       <triggerOnEvents>
159         <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.events.PluginPatchsetCreatedEvent>
160           <excludeDrafts>false</excludeDrafts>
161           <excludeTrivialRebase>false</excludeTrivialRebase>
162           <excludeNoCodeChange>false</excludeNoCodeChange>
163         </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.events.PluginPatchsetCreatedEvent>
164         <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.events.PluginDraftPublishedEvent/>
165         <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.events.PluginCommentAddedContainsEvent>
166           <commentAddedCommentContains>recheck$</commentAddedCommentContains>
167         </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.events.PluginCommentAddedContainsEvent>
168       </triggerOnEvents>
169       <buildStartMessage/>
170       <buildFailureMessage/>
171       <buildSuccessfulMessage/>
172       <buildUnstableMessage/>
173       <buildNotBuiltMessage/>
174       <buildUnsuccessfulFilepath/>
175       <customUrl/>
176       <serverName>test-server</serverName>
177     </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.GerritTrigger>
178   </triggers>
179   <builders>
180     <hudson.tasks.Shell>
181       <command>#!/bin/bash
182 # SPDX-License-Identifier: EPL-1.0
183 ##############################################################################
184 # Copyright (c) 2017 The Linux Foundation and others.
185 #
186 # All rights reserved. This program and the accompanying materials
187 # are made available under the terms of the Eclipse Public License v1.0
188 # which accompanies this distribution, and is available at
189 # http://www.eclipse.org/legal/epl-v10.html
190 ##############################################################################
191 echo &quot;---&gt; lftools-install.sh&quot;
192
193 # By default a released version of lftools should always be used.
194 # The purpose of the 2 variables below is so that lftools devs can test
195 # unreleased versions of lftools. There are 2 methods to install a dev version
196 # of lftools:
197 #
198 #     1) gerrit patch: Used to test a patch that has not yet been merged.
199 #                      To do this set something like this:
200 #                          LFTOOLS_MODE=gerrit
201 #                          LFTOOLS_REFSPEC=refs/changes/96/5296/7
202 #
203 #     2) git branch: Used to install an lftools version from a specific branch.
204 #                    To use this set the variables as follows:
205 #                          LFTOOLS_MODE=git
206 #                          LFTOOLS_REFSPEC=master
207 #
208 #     3) release : The intended use case and default setting.
209 #                  Set LFTOOLS_MODE=release, in this case LFTOOLS_REFSPEC is unused.
210
211 LFTOOLS_MODE=release  # release | git | gerrit
212 LFTOOLS_REFSPEC=master
213
214 # Ensure we fail the job if any steps fail.
215 # DO NOT set -u as virtualenv's activate script has unbound variables
216 set -e -o pipefail
217
218 virtualenv --quiet &quot;/tmp/v/lftools&quot;
219 # shellcheck source=/tmp/v/lftools/bin/activate disable=SC1091
220 source &quot;/tmp/v/lftools/bin/activate&quot;
221 pip install --quiet --upgrade pip
222
223 case $LFTOOLS_MODE in
224     gerrit)
225         git clone https://gerrit.linuxfoundation.org/infra/releng/lftools.git /tmp/lftools
226         pushd /tmp/lftools
227         git fetch origin &quot;$LFTOOLS_REFSPEC&quot;
228         git checkout FETCH_HEAD
229         pip install --quiet --upgrade -r requirements.txt
230         pip install --quiet --upgrade -e .
231         popd
232         ;;
233
234     git)
235         pip install --quiet --upgrade git+https://gerrit.linuxfoundation.org/infra/releng/lftools.git@&quot;$BRANCH&quot;
236         ;;
237
238     release)
239         pip install --quiet --upgrade &quot;lftools&lt;1.0.0&quot;
240         ;;
241 esac
242
243 # pipdeptree prints out a lot of information because lftools pulls in many
244 # dependencies. Let's only print it if we want to debug.
245 # echo &quot;----&gt; Pip Dependency Tree&quot;
246 # pip install --quiet --upgrade pipdeptree
247 # pipdeptree
248 </command>
249     </hudson.tasks.Shell>
250     <hudson.tasks.Shell>
251       <command>#!/bin/bash
252 # SPDX-License-Identifier: EPL-1.0
253 ##############################################################################
254 # Copyright (c) 2017 The Linux Foundation and others.
255 #
256 # All rights reserved. This program and the accompanying materials
257 # are made available under the terms of the Eclipse Public License v1.0
258 # which accompanies this distribution, and is available at
259 # http://www.eclipse.org/legal/epl-v10.html
260 ##############################################################################
261 echo &quot;---&gt; tox-install.sh&quot;
262
263 # Ensure we fail the job if any steps fail.
264 # DO NOT set -u as virtualenv's activate script has unbound variables
265 set -e -o pipefail
266
267 virtualenv --quiet &quot;/tmp/v/tox&quot;
268 # shellcheck source=/tmp/v/tox/bin/activate disable=SC1091
269 source &quot;/tmp/v/tox/bin/activate&quot;
270 pip install --quiet --upgrade pip
271 pip install --quiet --upgrade pipdeptree
272 pip install --quiet --upgrade tox argparse
273
274 echo &quot;----&gt; Pip Dependency Tree&quot;
275 pipdeptree
276
277 #!/bin/bash
278 # SPDX-License-Identifier: EPL-1.0
279 ##############################################################################
280 # Copyright (c) 2017 The Linux Foundation and others.
281 #
282 # All rights reserved. This program and the accompanying materials
283 # are made available under the terms of the Eclipse Public License v1.0
284 # which accompanies this distribution, and is available at
285 # http://www.eclipse.org/legal/epl-v10.html
286 ##############################################################################
287 echo &quot;---&gt; tox-install.sh&quot;
288
289 # Ensure we fail the job if any steps fail.
290 # DO NOT set -u as virtualenv's activate script has unbound variables
291 set -e -o pipefail
292
293 cd &quot;$WORKSPACE/$TOX_DIR&quot;
294
295 if [ -n &quot;$TOX_ENVS&quot; ];
296 then
297     tox -e &quot;$TOX_ENVS&quot;
298 else
299     tox
300 fi
301 </command>
302     </hudson.tasks.Shell>
303   </builders>
304   <publishers>
305     <org.jenkinsci.plugins.postbuildscript.PostBuildScript>
306       <buildSteps>
307         <hudson.tasks.Shell>
308           <command>#!/bin/bash
309 # SPDX-License-Identifier: EPL-1.0
310 ##############################################################################
311 # Copyright (c) 2017 The Linux Foundation and others.
312 #
313 # All rights reserved. This program and the accompanying materials
314 # are made available under the terms of the Eclipse Public License v1.0
315 # which accompanies this distribution, and is available at
316 # http://www.eclipse.org/legal/epl-v10.html
317 ##############################################################################
318 echo &quot;---&gt; sysstat.sh&quot;
319 set +e  # DON'T fail build if script fails.
320
321 OS=$(facter operatingsystem)
322 case &quot;$OS&quot; in
323     Ubuntu)
324         SYSSTAT_PATH=&quot;/var/log/sysstat&quot;
325
326         # Dont run the script when systat is not enabled by default
327         if ! grep --quiet 'ENABLED=&quot;true&quot;' &quot;/etc/default/sysstat&quot;; then
328             exit 0
329         fi
330     ;;
331     CentOS|RedHat)
332         SYSSTAT_PATH=&quot;/var/log/sa&quot;
333     ;;
334     *)
335         # nothing to do
336         exit 0
337     ;;
338 esac
339
340 SAR_DIR=&quot;$WORKSPACE/archives/sar-reports&quot;
341 mkdir -p &quot;$SAR_DIR&quot;
342 cp &quot;$SYSSTAT_PATH/&quot;* &quot;$_&quot;
343 # convert sar data to ascii format
344 while IFS=&quot;&quot; read -r s
345 do
346     [ -f &quot;$s&quot; ] &amp;&amp; LC_TIME=POSIX sar -A -f &quot;$s&quot; &gt; &quot;$SAR_DIR/sar${s//[!0-9]/}&quot;
347 done &lt; &lt;(find &quot;$SYSSTAT_PATH&quot; -name &quot;sa[0-9]*&quot; || true)
348
349 # DON'T fail build if script fails.
350 exit 0
351 </command>
352         </hudson.tasks.Shell>
353         <org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep plugin="config-file-provider">
354           <managedFiles>
355             <org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
356               <fileId>jenkins-log-archives-settings</fileId>
357               <targetLocation/>
358               <variable>SETTINGS_FILE</variable>
359             </org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
360           </managedFiles>
361         </org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep>
362         <EnvInjectBuilder>
363           <info>
364             <propertiesContent>SERVER_ID=logs</propertiesContent>
365           </info>
366         </EnvInjectBuilder>
367         <hudson.tasks.Shell>
368           <command>#!/bin/bash
369 # SPDX-License-Identifier: EPL-1.0
370 ##############################################################################
371 # Copyright (c) 2017 The Linux Foundation and others.
372 #
373 # All rights reserved. This program and the accompanying materials
374 # are made available under the terms of the Eclipse Public License v1.0
375 # which accompanies this distribution, and is available at
376 # http://www.eclipse.org/legal/epl-v10.html
377 ##############################################################################
378 echo &quot;---&gt; create-netrc.sh&quot;
379
380 # Ensure we fail the job if any steps fail.
381 set -eu -o pipefail
382
383 NEXUS_URL=&quot;${NEXUS_URL:-$NEXUSPROXY}&quot;
384 CREDENTIAL=$(xmlstarlet sel -N &quot;x=http://maven.apache.org/SETTINGS/1.0.0&quot; \
385     -t -m &quot;/x:settings/x:servers/x:server[x:id='${SERVER_ID}']&quot; \
386     -v x:username -o &quot;:&quot; -v x:password \
387     &quot;$SETTINGS_FILE&quot;)
388
389 machine=$(echo &quot;$NEXUS_URL&quot; | awk -F/ '{print $3}')
390 user=$(echo &quot;$CREDENTIAL&quot; | cut -f1 -d:)
391 pass=$(echo &quot;$CREDENTIAL&quot; | cut -f2 -d:)
392
393 echo &quot;machine $machine login $user password $pass&quot; &gt; ~/.netrc
394 </command>
395         </hudson.tasks.Shell>
396         <hudson.tasks.Shell>
397           <command>#!/bin/bash
398 # SPDX-License-Identifier: EPL-1.0
399 ##############################################################################
400 # Copyright (c) 2017 The Linux Foundation and others.
401 #
402 # All rights reserved. This program and the accompanying materials
403 # are made available under the terms of the Eclipse Public License v1.0
404 # which accompanies this distribution, and is available at
405 # http://www.eclipse.org/legal/epl-v10.html
406 ##############################################################################
407 echo &quot;---&gt; lftools-install.sh&quot;
408
409 # By default a released version of lftools should always be used.
410 # The purpose of the 2 variables below is so that lftools devs can test
411 # unreleased versions of lftools. There are 2 methods to install a dev version
412 # of lftools:
413 #
414 #     1) gerrit patch: Used to test a patch that has not yet been merged.
415 #                      To do this set something like this:
416 #                          LFTOOLS_MODE=gerrit
417 #                          LFTOOLS_REFSPEC=refs/changes/96/5296/7
418 #
419 #     2) git branch: Used to install an lftools version from a specific branch.
420 #                    To use this set the variables as follows:
421 #                          LFTOOLS_MODE=git
422 #                          LFTOOLS_REFSPEC=master
423 #
424 #     3) release : The intended use case and default setting.
425 #                  Set LFTOOLS_MODE=release, in this case LFTOOLS_REFSPEC is unused.
426
427 LFTOOLS_MODE=release  # release | git | gerrit
428 LFTOOLS_REFSPEC=master
429
430 # Ensure we fail the job if any steps fail.
431 # DO NOT set -u as virtualenv's activate script has unbound variables
432 set -e -o pipefail
433
434 virtualenv --quiet &quot;/tmp/v/lftools&quot;
435 # shellcheck source=/tmp/v/lftools/bin/activate disable=SC1091
436 source &quot;/tmp/v/lftools/bin/activate&quot;
437 pip install --quiet --upgrade pip
438
439 case $LFTOOLS_MODE in
440     gerrit)
441         git clone https://gerrit.linuxfoundation.org/infra/releng/lftools.git /tmp/lftools
442         pushd /tmp/lftools
443         git fetch origin &quot;$LFTOOLS_REFSPEC&quot;
444         git checkout FETCH_HEAD
445         pip install --quiet --upgrade -r requirements.txt
446         pip install --quiet --upgrade -e .
447         popd
448         ;;
449
450     git)
451         pip install --quiet --upgrade git+https://gerrit.linuxfoundation.org/infra/releng/lftools.git@&quot;$BRANCH&quot;
452         ;;
453
454     release)
455         pip install --quiet --upgrade &quot;lftools&lt;1.0.0&quot;
456         ;;
457 esac
458
459 # pipdeptree prints out a lot of information because lftools pulls in many
460 # dependencies. Let's only print it if we want to debug.
461 # echo &quot;----&gt; Pip Dependency Tree&quot;
462 # pip install --quiet --upgrade pipdeptree
463 # pipdeptree
464
465 #!/bin/bash
466 # SPDX-License-Identifier: EPL-1.0
467 ##############################################################################
468 # Copyright (c) 2017 The Linux Foundation and others.
469 #
470 # All rights reserved. This program and the accompanying materials
471 # are made available under the terms of the Eclipse Public License v1.0
472 # which accompanies this distribution, and is available at
473 # http://www.eclipse.org/legal/epl-v10.html
474 ##############################################################################
475 echo &quot;---&gt; logs-deploy.sh&quot;
476
477 # Ensure we fail the job if any steps fail.
478 set -eu -o pipefail
479
480 set -x  # Trace commands for this script to make debugging easier.
481
482 ARCHIVE_ARTIFACTS=&quot;${ARCHIVE_ARTIFACTS:-}&quot;
483 LOGS_SERVER=&quot;${LOGS_SERVER:-None}&quot;
484
485 if [ &quot;${LOGS_SERVER}&quot; == 'None' ]
486 then
487     set +x # Disable trace since we no longer need it
488
489     echo &quot;WARNING: Logging server not set&quot;
490 else
491     NEXUS_URL=&quot;${NEXUS_URL:-$NEXUSPROXY}&quot;
492     NEXUS_PATH=&quot;${SILO}/${JENKINS_HOSTNAME}/${JOB_NAME}/${BUILD_NUMBER}&quot;
493     BUILD_URL=&quot;${BUILD_URL}&quot;
494
495     lftools deploy archives -p &quot;$ARCHIVE_ARTIFACTS&quot; &quot;$NEXUS_URL&quot; &quot;$NEXUS_PATH&quot; &quot;$WORKSPACE&quot;
496     lftools deploy logs &quot;$NEXUS_URL&quot; &quot;$NEXUS_PATH&quot; &quot;$BUILD_URL&quot;
497
498     set +x  # Disable trace since we no longer need it.
499
500     echo &quot;Build logs: &lt;a href=\&quot;$LOGS_SERVER/$NEXUS_PATH\&quot;&gt;$LOGS_SERVER/$NEXUS_PATH&lt;/a&gt;&quot;
501 fi
502 </command>
503         </hudson.tasks.Shell>
504         <hudson.tasks.Shell>
505           <command>#!/bin/bash
506 # SPDX-License-Identifier: EPL-1.0
507 ##############################################################################
508 # Copyright (c) 2017 The Linux Foundation and others.
509 #
510 # All rights reserved. This program and the accompanying materials
511 # are made available under the terms of the Eclipse Public License v1.0
512 # which accompanies this distribution, and is available at
513 # http://www.eclipse.org/legal/epl-v10.html
514 ##############################################################################
515
516 # Clear log credential files
517 rm &quot;$SETTINGS_FILE&quot;
518 rm ~/.netrc
519 </command>
520         </hudson.tasks.Shell>
521         <hudson.plugins.descriptionsetter.DescriptionSetterBuilder>
522           <regexp>^Build logs: .*</regexp>
523         </hudson.plugins.descriptionsetter.DescriptionSetterBuilder>
524       </buildSteps>
525       <scriptOnlyIfSuccess>false</scriptOnlyIfSuccess>
526       <scriptOnlyIfFailure>false</scriptOnlyIfFailure>
527       <markBuildUnstable>false</markBuildUnstable>
528     </org.jenkinsci.plugins.postbuildscript.PostBuildScript>
529     <hudson.plugins.ws__cleanup.WsCleanup plugin="ws-cleanup">
530       <patterns>
531         <hudson.plugins.ws__cleanup.Pattern>
532           <pattern>**/*.jenkins-trigger</pattern>
533           <type>EXCLUDE</type>
534         </hudson.plugins.ws__cleanup.Pattern>
535       </patterns>
536       <deleteDirs>false</deleteDirs>
537       <cleanupMatrixParent>false</cleanupMatrixParent>
538       <externalDelete/>
539       <cleanWhenSuccess>true</cleanWhenSuccess>
540       <cleanWhenUnstable>true</cleanWhenUnstable>
541       <cleanWhenFailure>true</cleanWhenFailure>
542       <cleanWhenNotBuilt>true</cleanWhenNotBuilt>
543       <cleanWhenAborted>true</cleanWhenAborted>
544       <notFailBuild>true</notFailBuild>
545     </hudson.plugins.ws__cleanup.WsCleanup>
546   </publishers>
547   <buildWrappers>
548     <com.michelin.cio.hudson.plugins.maskpasswords.MaskPasswordsBuildWrapper/>
549     <hudson.plugins.build__timeout.BuildTimeoutWrapper>
550       <timeoutMinutes>10</timeoutMinutes>
551       <timeoutEnvVar>BUILD_TIMEOUT</timeoutEnvVar>
552       <failBuild>true</failBuild>
553       <writingDescription>false</writingDescription>
554       <timeoutPercentage>0</timeoutPercentage>
555       <timeoutMinutesElasticDefault>3</timeoutMinutesElasticDefault>
556       <timeoutType>absolute</timeoutType>
557     </hudson.plugins.build__timeout.BuildTimeoutWrapper>
558     <hudson.plugins.timestamper.TimestamperBuildWrapper/>
559     <com.cloudbees.jenkins.plugins.sshagent.SSHAgentBuildWrapper>
560       <user>test-credential</user>
561     </com.cloudbees.jenkins.plugins.sshagent.SSHAgentBuildWrapper>
562     <jenkins.plugins.openstack.compute.JCloudsOneOffSlave/>
563   </buildWrappers>
564 </project>